Name:           python-strip-hints
Version:        0.1.13
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Function and command-line program to strip Python type hints.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/abarker/strip-hints
Source:         %{pypi_source strip_hints}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'strip-hints' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-strip-hints
Summary:        %{summary}

%description -n python3-strip-hints %_description


%prep
%autosetup -p1 -n strip_hints-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-strip-hints -f %{pyproject_files}


%changelog
%autochangelog